Bug 1197273 (CVE-2015-0295)

Summary: CVE-2015-0295 QT: BMP image handler crash
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: dvratil, itamar, jreznik, jrusnack, kevin, ltinkl, rdieter, rnovacek, smparrish, than, yselkowi
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-28 00:45:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1197274, 1197275    
Bug Blocks:    

Description Kurt Seifried 2015-02-28 00:43:05 UTC
The QT Project reports:


The builtin BMP decoder in QtGui prior to Qt 5.5 contained a bug that would
lead to a division by zero when loading certain corrupt BMP files. This in
turn would cause the application loading these hand crafted BMPs to crash.

External reference:
http://lists.qt-project.org/pipermail/announce/2015-February/000059.html

Comment 1 Kurt Seifried 2015-02-28 00:43:59 UTC
Created qt tracking bugs for this issue:

Affects: fedora-all [bug 1197274]

Comment 2 Kurt Seifried 2015-02-28 00:44:12 UTC
Created qt3 tracking bugs for this issue:

Affects: fedora-all [bug 1197275]

Comment 3 Kurt Seifried 2015-02-28 00:45:21 UTC
Statement:

This issue affects the versions of Qt as shipped with Red Hat Enterprise Linux 5, 6 and 7. Red Hat Product Security has rated this issue as having Low security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 4 Kevin Kofler 2015-03-01 22:53:11 UTC
This also affects qt5-qtbase in fedora-all, can we have a tracker for that too?

Comment 5 Kevin Kofler 2015-03-01 22:53:38 UTC
(qt5-qtbase in EPEL is also affected.)

Comment 6 Fedora Update System 2015-03-04 10:33:59 UTC
qt-4.8.6-25.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-03-06 06:59:04 UTC
qt-4.8.6-25.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-03-07 00:08:48 UTC
qt-4.8.6-25.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Yaakov Selkowitz 2015-03-16 21:27:45 UTC
This also needs to be fixed in mingw-qt and mingw-qt5-qtbase.